#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

export LANG=ru_RU.UTF8

TMPFILE=$TMPDIR/diagnostic_hourly.sh.$$
DIAGDIR=/var/lib/reductor/diagnostic/
MD5SUM=$DIAGDIR/messages.md5sum

have_bugs() {
	[ "$(get_reductor_state)" != 'Активирован' ] && return 0
	grep '\[.*\]' $TMPFILE | grep -q 'СБОЙ'
}

is_already_send() {
	mkdir -p $DIAGDIR
	read md5 _ <<< "$(egrep -v "(ACCEPT|DROP)" $TMPFILE | md5sum)"
	touch $MD5SUM
	[ "$(( $(date +%l) % 6))" = '0' ] && > $MD5SUM
	grep -q "$md5" "$MD5SUM"
	retval=$?
	[ "$retval" != 0 ] && echo $md5 >> "$MD5SUM"
	return $retval
}

use_hook() {
	hook="$HOOKDIR/${0##*/}"
	if [ -x "$hook" ]; then
		. "$hook"
	fi
}

main() {
	[ "${misc['diagnostic']}" != '1' ] && return 0
	$BINDIR/diagnostic.sh auto > $TMPFILE

	if ! have_bugs; then
		log "Всё в порядке"
		$BINDIR/send2monitoring.sh 0
		return 0
	fi

	$BINDIR/send2monitoring.sh 1
	if is_already_send; then
		log "Сообщение уже было отослано"
		return 0
	fi

	log "ERROR: Обнаружены ошибки"
	send_alarm $TMPFILE
	cat $TMPFILE
}

use_hook
main $1
rm -f $TMPDIR/diagnostic_hourly.*
