#!/bin/bash

set -xu

for repo in epel epel-testing; do
	if [ ! -f /etc/yum.repos.d/$repo.repo ]; then
		yum -y install epel-release
	fi
	echo "Так как epel часто имеет проблемы с доступом по https, правим на http $repo"
	sed -e 's/https/http/g' -i /etc/yum.repos.d/$repo.repo
done

read branch < /usr/local/Reductor/etc/branch
[ -z "$branch" ] && branch='master'

yum -y install "http://download5.carbonsoft.ru//reductor_web/$branch/reductor_web.rpm"

nginx_default="/etc/nginx/conf.d/default.conf"
[ -f $nginx_default ] && mv -vf ${nginx_default}{,bk}

if [ "${1:-}" != '--no-reductor-restart' ]; then
	for service in reductor reductor_web nginx; do
		chkconfig --add $service
		chkconfig --level 345 $service on
		/etc/init.d/$service restart
	done
fi
