#!/usr/bin/python
# coding:utf-8

""" Система получения всевозможных вариаций URL """

import sys
import lower_host_lib


def print_decode_file(input_file=sys.stdin):
    """ Выводит на экран все полученные вариации из URL в файле """
    for url in all_transforms(input_file):
        try:
            print url.strip()
        except UnicodeEncodeError:
            print url.encode('utf-8').strip()


def all_transforms(input_file):
    """ Преобразует все URL во всевозможные вариации """
    url_set = set([unicode(s, 'utf-8').strip() for s in input_file.xreadlines()])
    url_set = lower_host_lib.fulldomain_reduce(url_set)
    out = set()
    for line in url_set:
        out.update(all_transforms_line(line))
    return out


def all_transforms_line(line):
    """ Преобразует один URL во все возможные вариации """
    url_set = set()
    url_set.add(line)
    for func in lower_host_lib.FUNCTIONS_ORDERED:
        url_set = func(url_set)
    return url_set


if __name__ == '__main__':
    print_decode_file()
