#!/bin/bash

TMPDIR=/tmp/reductor/
PREV=$TMPDIR/2
NEW=$TMPDIR/1
DIFF=$TMPDIR/3
NEW_M=$TMPDIR/4
PREV_M=$TMPDIR/5
INTERVAL="${1:-1}"

mkdir -p $TMPDIR
rm -f $NEW $PREV $DIFF $NEW_M $PREV_M

declare -a lines=( a ipt_dnsmatch ipt_reductor ipt_snimatch )
while sleep $INTERVAL; do
	grep packets.checked /proc/net/ipt_dnsmatch/block_list | awk '{print $2}' > $NEW
	grep packets.checked /proc/net/ipt_reductor/block_list | awk '{print $2}' >> $NEW
	grep packets.checked /proc/net/ipt_snimatch/block_list | awk '{print $2}' >> $NEW

	grep packets.matched /proc/net/ipt_dnsmatch/block_list | awk '{print $2}' > $NEW_M
	grep packets.matched /proc/net/ipt_reductor/block_list | awk '{print $2}' >> $NEW_M
	grep packets.matched /proc/net/ipt_snimatch/block_list | awk '{print $2}' >> $NEW_M

	if [ ! -f $PREV ]; then
		mv $NEW $PREV
		continue
	fi

	if [ ! -f $PREV_M ]; then
		mv $NEW_M $PREV_M
		continue
	fi

	clear
	uptime | sed "s/.*:/INTERVAL=${INTERVAL}s load average: /g"
	echo
	for i in $(seq 1 $(wc -l < $NEW)); do
		printf "%10s %10s checked %10s matched\n" ${lines[$i]} $(($(sed -n "${i}p" $NEW) - $(sed -n "${i}p" $PREV))) $(($(sed -n "${i}p" $NEW_M) - $(sed -n "${i}p" $PREV_M)))
	done
	echo
	echo "Press CTRL+C to exit."
	mv $NEW $PREV
	mv $NEW_M $PREV_M
done
