#!/usr/bin/env bash

. /usr/local/Reductor/etc/const

mkdir -p $LISTDIR/{load,tmp,provider,carbonsoft,rkn,resolver}/
change_extension() {
	while read f; do mv -vf "$f" "${f/.$1/.$2}"; done
}

if ! find $LISTDIR -maxdepth 1 -type f | grep -q ''; then
	: #exit 0
fi

log "Совершаем миграцию списков."
log "Совершаем миграцию списков." >> $LOGFILE

find $LISTDIR -maxdepth 1 -type f -name "rkn.*" -delete
find $LISTDIR -maxdepth 1 -type f -name "workaround.*" -exec mv "{}" $LISTDIR/carbonsoft/ \;
find $LISTDIR -maxdepth 1 -type f -name "minjust.list" -exec mv "{}" $LISTDIR/carbonsoft/ \;
find $LISTDIR -maxdepth 1 -type f -name "our.*" -exec mv "{}" $LISTDIR/provider/ \;
find $LISTDIR -maxdepth 1 -type f -name "*.load" -exec mv "{}" $LISTDIR/load/ \;
find $LISTDIR -maxdepth 1 -type f -name "*.noload" -exec mv "{}" $LISTDIR/tmp/ \;
find $LISTDIR -maxdepth 1 -type f -name "*.all" -exec mv "{}" $LISTDIR/tmp/ \;
find $LISTDIR -maxdepth 1 -type f -name "*.noload.entries" -exec mv "{}" $LISTDIR/tmp/ \;

for i in dump_bad_lines main.minjust system.{https,ip6list,iplist,nohttps} http.ports https.resolv; do
	# keep symlink https.resolv for backward compat
	[ ! -L $LISTDIR/i ] || rm -f $LISTDIR/$i
done

find $LISTDIR/provider/ -maxdepth 1 -type f -name "*.list" | change_extension list url_http
find $LISTDIR/provider/ -maxdepth 1 -type f -name "*.httpslist" | change_extension httpslist domain_exact
find $LISTDIR/provider/ -maxdepth 1 -type f -name "*.iplist" | change_extension iplist ip_https
