#!/usr/bin/env bash

. /usr/local/Reductor/etc/const
# shellcheck disable=SC1090

set -eu

remove_private_networks() {
	egrep -v "^1(27|92[.]168|0[.]|72[.](1[6-9]|2[0-9]3[01]))[0-9.]*$"
}

main() {
	local prefix="$1"
	local input="$LISTDIR/tmp/$prefix.all"
	local output="$LISTDIR/tmp/$prefix.normal"
	if [ "$prefix" == "${prefix//6/}" ]; then
		# shellcheck disable=SC2154
		egrep "^$ip_regex$" < $input > $output.all_ip || true
		cmp --silent $input $output.all_ip || echo "WARNING: bad data in $input"
		remove_private_networks < $output.all_ip > $output || true
	else
		# TODO: Private network support for IPv6
		egrep "^[0-9A-Fa-f:/]+$" < $input > $output || true
	fi

}

main "$@"
