#!/usr/bin/env sh

. /usr/local/Reductor/etc/const
# shellcheck disable=SC1090

set -eu

# TODO: built-in while read to wget_quote < input > output
wget_quote() {
	prefix="$1"
	inputfile="$2"
	if ! grep "[%А-Яа-я]" "$inputfile" > "$LISTDIR/tmp/$prefix.wget.tmp"; then
		cat "$inputfile"
		return
	fi
	while read -r line; do
		LANG=ru_RU.UTF-8 "$BINDIR/wget_quote" "$line" 2>/dev/null
	done < "$LISTDIR/tmp/$prefix.wget.tmp" > "$LISTDIR/tmp/$prefix.wget"
	LC_CTYPE='' LANG='' sort -u "$LISTDIR/tmp/$prefix.wget" "$inputfile"
}

main() {
	prefix="$1"
	proto="${prefix##url_}"
	input="$LISTDIR/tmp/$prefix.all"
	wget="$LISTDIR/tmp/$prefix.wget"
	processed="$LISTDIR/tmp/$prefix.processed"
	bad="$LISTDIR/tmp/$prefix.bad"
	output="$LISTDIR/tmp/$prefix.normal"
	wget_quote $prefix $input > $wget
	proto=$proto $BINDIR/lower_host.py < $wget > $processed
	egrep -v "http://[^.]+/" $processed > $output || true
	if egrep "http://[^.]+/" $processed > $bad; then
		log "WARNING: $processed содержит строки с доменами первого уровня!"
		log "WARNING: скорее всего это произошло из-за ошибки в собственных списках. Они будут проигнорированы. Исправьте эти записи."
		cat "$bad"
	fi
}

main "$@"
