#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

product="CRB-Reductor"
regdir="/var/reg"
regfile="$regdir/$product.reg"
keyfile="$regdir/$product.key"

trap __exit EXIT

__write2proc() {
	local activate_cmd=unlock_$1
	local PROC_SNI=/proc/net/ipt_snimatch/block_list
	local PROC_DNS=/proc/net/ipt_dnsmatch/block_list
	local PROC_HTTP=/proc/net/ipt_reductor/block_list
	echo unlock_$1 > $PROC_HTTP
	! $BINDIR/dnsenabled || [ ! -f $PROC_DNS ] || echo unlock_$1 > $PROC_DNS
	! $BINDIR/dnsenabled --sni || [ ! -f $PROC_SNI ] || echo unlock_$1 > $PROC_SNI
}

migrate() {
	if $BINDIR/nice_json "$regfile"  | grep -q company && $BINDIR/nice_json "$regfile" | grep -q email; then
		return 0
	fi
	[ -z "${autoupdate['operator']}" -o -z "${autoupdate['email']}" ] && return 1
	export company_name="${autoupdate['operator']}"
	export email="${autoupdate['email']}"
	$BINDIR/reg_util create
	$BINDIR/reg_util update
	return 0
}

__activation_no_fallback() {
	local actcode
	if [ ! -f "$keyfile" ]; then
		echo "- Отсутствует ключ активации $keyfile, используйте мастер настройки и регистрации: $BINDIR/setup_master.sh" >&2
		return 1
	fi
	actcode="$(python -c "import json; print json.load(open('$keyfile'))['$product']['cf_regactivate']")"
	if [ -z "$actcode" ]; then
		echo "- В файле $keyfile отсутствует код активации, $GOTO_SUPPORT" >&2
		return 2
	fi
	if ! [[ "$actcode" =~ ^[0-9]{8,11}$ ]]; then
		echo "- Невалидный ключ активации $actcode" >&2
		return 3
	fi
	if ! __write2proc $actcode; then
		echo "- Не удалось активироваться с помощью кода активации $actcode" >&2
		return 4
	fi
	return 0
}

activation() {
	__activation_no_fallback && log "Активация прошла успешно" && return 0
	$BINDIR/reg_util activate
	__activation_no_fallback && echo "- В итоге активация прошла успешно" && return 0
}

help() {
	grep -o "^.*()" $0 | grep -v grep | grep -v ^__ | tr -d '()'
	exit 0
}

mkdir -p $regdir
$BINDIR/autogit.sh $regdir
"${@:-help}"
