#!/bin/bash

set -eux

ip=$1
eth="${2:-eth1}"
reply_eth="$(ip -4 -o r g $ip | egrep -o 'dev [a-z0-9.]+' | cut -d ' ' -f2)"
timeout="${3:-14400}"
only_filtered_traffic="${4:-0}"
date=$(date +%Y.%m.%d)
minute=$(date +%M)

if [ "$minute" -ge 50 ] && [ "$((timeout/60))" -gt 10 ]; then
	hour=$(date -d '1 hour' +%H)
else
	hour=$(date +%H)
fi

filtered_traf=""
if [ "${only_filtered_traffic}" = '1' ]; then
	filtered_traf="and (tcp dst port 443 or tcp dst port 80 or udp dst port 53)"
fi

dumpdir="/var/revisor_dump/${ip}/${date}/${hour}"
mkdir -p "$dumpdir"

timeout -s 15 ${timeout}s tshark -i $eth src host $1 "$filtered_traf" -w $dumpdir/requests.pcap &
timeout -s 15 ${timeout}s tshark -i $reply_eth dst host $1 -w $dumpdir/replies.pcap &
wait
if mergecap -w $dumpdir/duplex.pcap $dumpdir/requests.pcap $dumpdir/replies.pcap; then
	rm -f $dumpdir/replies.pcap
	rm -f $dumpdir/requests.pcap
fi
