#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

set -eu

rknupdatetime() {
	egrep -o -m1 'updateTime="[0-9T:-]+' "$DUMPXML" | tr -s '[A-z="]' ' ' | sed -e 's/^ //'
}

rknupdateunixtime() {
	date="$(egrep -o -m1 'updateTime="[0-9T:-]+' "$DUMPXML" | tr -s '[A-z="]' ' ' | sed -e 's/^ //')"
	date +%s --date "$date"
}

use_hook() {
	hook="$HOOKDIR/${0##*/}"
	if [ -x "$hook" ]; then
		. "$hook"
	fi
}

use_hook

case "${1//[_-]/}" in
	rknupdatetime | rknupdateunixtime )
		${1//[_-]/}
		;;
	* )
		echo "Unknown cmd $1"
		egrep '^\s.*\)$' $0
		;;
esac
