#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG
. $MENULIB

baseopts="--stdout --output-fd 2 --colors --trim --backtitle '${app[name]}' --no-shadow --item-help"
baseopts_eth="$baseopts --cancel-label 'Далее' --ok-label 'Добавить'"
baseopts_vlan="$baseopts --cancel-label 'Завершить' --ok-label 'Добавить'"
vlan_opts="--no-label Добавить_vlan --yes-label Пропустить --yesno"


ASK_MIRROR_SETUP="Настроить зеркало трафика автоматически? Предыдущие настройки будут сохранены в каталоге $USERDIR/backup"
ASK_VLAN_SETUP="Если на ${app['name']} приходит тэгированый (vlan) трафик, то лучше снимать тэгирование на зеркальном порту коммутатора. Если такой возможности нет, можно настроить vlan на этом сервере. Настроить vlan сейчас?"

ask_custom()
{
	yes="$1"
	no="$2"
	shift 2
	dialog --stdout --yes-label "$yes" --no-label "$no" --yesno "$@" 10 50
}

ask_about_setup()
{
	ask_custom "Далее" "Отмена" "$ASK_MIRROR_SETUP"
}

device_is_set() {
	show_msg "$1 настроен на приём трафика с зеркала"
}

talk_incorrect_ip_adress(){
	show_msg "Введите адрес в формате a.b.c.d/e, например 192.168.4.1/24. Вы ввели $1"
}

talk_input_ip_then_vlan(){
	show_msg "Выберите интерфейсы для сканирования трафика, затем нажмите <ДАЛЕЕ> для настройки VLAN"
}
