#!/bin/bash

. /usr/local/Reductor/etc/const

lookup() {
	for dns in $(grep nameserver $CHROOTDIR/etc/resolv.conf | egrep -o $ip_regex | sort -u); do
		timeout -s 15 1s chroot $CHROOTDIR nslookup "$1" "$dns" | grep -A 1000 ^Name | egrep -o "$ip_regex"
	done
}

url=$1

echo
echo "# Итак, ищем по шаблону $url"
domain=$1
if [ "${1:0:7}" = 'http://' ]; then
	domain="$(echo $1 | cut -d '/' -f3)"
fi

with_www="$1"
without_www="$1"
if [ "${url:0:5}" == 'https' ]; then
	with_www="${with_www/https/http}"
	without_www="${without_www/https/http}"
fi

[ "${with_www:0:10}"   != "http://www" ] && with_www="${with_www/http:\/\//http:\/\/www.}"
[ "${without_www:0:10}" = "http://www" ] && without_www="${without_www/http:\/\/www./http:\/\/}"

if [ "${url:0:5}" == 'https' ]; then
	echo
	echo "## несмотря на https поищем http"
	echo
	{
	grep --color "${1/https/http}" $LISTDIR/load/url_http.load
	grep --color "${with_www}" $LISTDIR/load/url_http.load
	grep --color "${without_www}" $LISTDIR/load/url_http.load
	} | sort -u
fi

if grep -q "$without_www" $LISTDIR/load/url_http.load || grep -q "$with_www" $LISTDIR/load/url_http.load; then
	echo
	echo "## в $LISTDIR/load/url_http.load"
	echo
	grep --color "$with_www" $LISTDIR/load/url_http.load
	grep --color "$without_www" $LISTDIR/load/url_http.load
else
	if grep -q --color "$domain" $LISTDIR/*/* 2>/dev/null; then
		echo
		echo "## в прочих списках"
		echo
		grep --color "$domain" $LISTDIR/*/* 2>/dev/null
	fi
fi

for ip in $(lookup "$domain") $(lookup "www.$domain") $(lookup "${domain#www.}"); do
	grep --color -w $ip $LISTDIR/load/ip*.load
done | sort -u | sed -e 's/:/: /' > $TMPDIR/check_ip

if [ -s $TMPDIR/check_ip ]; then
	echo
	echo "## ip address"
	echo
	cat $TMPDIR/check_ip
	rm -f $TMPDIR/check_ip
fi

if grep -qwo -m1 "$1" $DUMPXML; then
	echo
	echo "## реестр (целиком)"
	echo
	grep -wo --color "$1" $DUMPXML | sort -u | grep --color '.*'
fi

if [ "${1:0:7}" = 'http://' ]; then
	grep --color -wo $with_www $DUMPXML
	grep --color -wo $without_www $DUMPXML
fi

if grep -qwo -m1 "$domain" $DUMPXML; then
	echo
	echo "## реестр (домен)"
	echo
	grep --color -wo "$domain" $DUMPXML | sort -u | grep --color '.*'
fi
