# coding: utf-8

""" compat config to run it on mac os x """
import os
import logging
from datetime import datetime

PRODUCTION = os.uname()[0] != 'Darwin'  # True

MAIN_DIR = '/usr/local/Reductor/'
MIN_TTL = 5
MAX_TTL = int(os.environ.get('MAX_TTL', 60))
NXDOMAIN_TTL = int(os.environ.get('NXDOMAIN_TTL', 180))
IP_TTL = int(os.environ.get('IP_TTL', 720))
RESOLVER_LIMIT = int(os.getenv('RESOLVER_LIMIT', 500))


log = logging.getLogger('qdns')
log_level = logging.INFO
if os.environ.get('RESOLVER_DEBUG') == '1':
    log_level = logging.DEBUG
logging.basicConfig(format='%(asctime)-15s %(message)s', level=log_level)

DNS_BLACKHOLES = ['127.0.0.1', '95.213.143.204']
if os.environ.get('DNS_BLACKHOLE_IP'):
    DNS_BLACKHOLES.append(os.environ.get('DNS_BLACKHOLE_IP'))

if not PRODUCTION:
    MAIN_DIR = os.getcwd() + '/'

CURRENT_UNIXTIME = lambda: int(datetime.now().strftime("%s"))
