#!/usr/bin/env python
""" print ipv4 or ipv6 from resolv cache if they in https.resolv """

from sys import argv
from dns_db import DnsDB
from dns_config import MAIN_DIR
from dns_readline import suxreadline

__author__ = 'oleg'

def main():
    db = DnsDB(db_file=MAIN_DIR + 'cache/https_resolv.pickle', proto='pickle')
    mode = 'ip6' in argv and 'ip6' or 'ip'
    for domain in suxreadline():
        for ip in db.data.get(domain, {}).get(mode, {}).keys():
            print ip

if __name__ == '__main__':
    main()
